slepc-3.21.1 2024-04-26
Report Typos and Errors

# STBackTransform

Back-transformation phase, intended for spectral transformations which require to transform the computed eigenvalues back to the original eigenvalue problem.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STBackTransform(ST st,PetscInt n,PetscScalar* eigr,PetscScalar* eigi)

Not Collective

### Input Parameters

| st | - the spectral transformation context
| n | - number of eigenvalues
| eigr | - real part of a computed eigenvalues
| eigi | - imaginary part of a computed eigenvalues

### See Also

STIsInjective()

### Level

developer

### Location

src/sys/classes/st/interface/stsolve.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages